summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorWolfram Sang <w.sang@pengutronix.de>2008-11-14 15:28:45 +0000
committerWolfram Sang <w.sang@pengutronix.de>2008-11-14 15:28:45 +0000
commite8d7e951ef0b1ca4118317a1e8d3d724181573ce (patch)
treeb850037de357f2916ec5b26a6217ed8abc49374c /bin
parent31e0d443c37a423ab6241d9bb07d5fb4b075c9ff (diff)
downloadptxdist-e8d7e951ef0b1ca4118317a1e8d3d724181573ce.tar.gz
ptxdist-e8d7e951ef0b1ca4118317a1e8d3d724181573ce.tar.xz
* export_src: rename 'export' to 'export_src', add errorchecks and help description
git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-trunk@9119 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist15
1 files changed, 11 insertions, 4 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index d71978e67..b639b549a 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -605,9 +605,7 @@ Overwrite:
Misc:
--version print out ptxdist version
-
test <testname> run tests
-
newpacket <type> create a new packet Makefile in a rules dir
<type> can be one of:
target, host, host-existing-target,
@@ -615,6 +613,9 @@ Misc:
kernel_driver, font, simple
print <var> print the contents of a variable, in the way
it is known by "make"
+ export_src <target dir> export all source archives needed for this
+ project to <target dir>
+
Options:
-d print out make decisions (debug)
@@ -1367,7 +1368,13 @@ parse_second()
drop "${1}" "${2}"
exit 0
;;
- export)
+ export_src)
+ if [ -z "${1}" ]; then
+ echo
+ echo "${PROMPT}error: Please specify a target directory."
+ echo
+ exit 1
+ fi
if [ ! -d "${1}" ]; then
echo
echo "${PROMPT}error: directory '$1' does not exist!"
@@ -1376,7 +1383,7 @@ parse_second()
fi
check_ptxconfig || return
check_deps
- ptxd_make_log export EXPORTDIR="${1}"
+ ptxd_make_log export_src EXPORTDIR="${1}"
exit 0
;;
get)